<!DOCTYPE html>
<html>
  <!--
    https://sites.moe.sf.webhare.nl/projects/dompack/examples/autosuggest.html
    -->
  <head>
    <link href="dompackbuild/ap.css" rel="stylesheet">
    <script src="dompackbuild/ap.js"></script>
  </head>
  <body>
    <button id="refill_justenough" type="button">refill just enough</button>
    <button id="fillridiculous" type="button">refill ridiculous</button>
    <button id="scrollable" type="button">scrollable</button>
    <div id="topmiddle">
      <input id="alwaysopendown" class="directsuggest">
      <select class="scrollable" id="ridiculous">
        <option selected disabled value="">Should always open down</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option disabled value="3">Three</option>
      </select>
    </div>
    <div class="fieldexamples">
      <!-- note: the data- options here are implemented by dompackexample.es - it's not a standard thing -->
      <div>
        <label for="staticlist">Disabled list:</label> <input id="disabledlist" class="staticlistsuggest" data-minlength="0" disabled />
      </div>
      <div>
        <label for="staticlist">Readonly list:</label> <input id="readonlylist" class="staticlistsuggest" data-minlength="0" readonly />
      </div>
      <div>
        <label for="staticlist">Simple list:</label> <input id="simplelist" class="staticlistsuggest" data-minlength="1" />
      </div>
      <div>
        <label for="staticlist">Case sensitive list:</label> <input id="casesensitivelist" class="staticlistsuggest" data-minlength="1" data-casesensitive="true" data-triminput="false"/>
      </div>
      <div>
        <label for="staticlist">Immediate list:</label> <input id="immediatelist" class="staticlistsuggest" data-minlength="0" />
      </div>
      <div>
        <label for="staticlist">With titles list:</label> <input id="withtitleslist" class="titleslistsuggest" />
      </div>
    </div>

    <form id="onepixelshort">
      <select class="scrollable" id="onepixelshortselect">
        <option value="1">Upwards, one pixel short</option>
        <option value="2" disabled>Two</option>
        <option value="3">Three</option>
      </select>
    </form>
    <div id="justenoughbottom">
      <select class="scrollable" id="justenoughselect">
        <option value="1">Downwards, EXACTLY enough space</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
        [! <option class="hidden" value="4">I'm not here</option> !]
      </select>
    </div>
    <div id="ridiculousbottom">
      <select class="scrollable" id="ridiculousbottomselect" style="width: 60px;">
        <option selected disabled value="">Many</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
        <option value="4">Four</option>
      </select>
    </div>
  </body>
</html>
